List of all members
clan::PixelBufferProvider Class Referenceabstract
clanDisplay Display

Element Array Buffer provider. More...

`#include <pixel_buffer_provider.h>`

## Public Member Functions
Construction
virtual | ~PixelBufferProvider ()
virtual void | create (const void *data, const Size &new_size, PixelBufferDirection direction, TextureFormat new_format, BufferUsage usage)=0
| Create. More...
Attributes
virtual void * | get_data ()=0
| Retrieves a pointer to the mapped buffer. More...
virtual int | get_pitch () const =0
| Retrieves the pitch of the mapped buffer. Use this after get_data() More...
virtual Size | get_size () const =0
virtual bool | is_gpu () const =0
| Returns true if this pixel buffer is a GPU based one. More...
virtual TextureFormat | get_format () const =0
| Returns the pixel format. More...
Operations
virtual void | lock (GraphicContext &gc, BufferAccess access)=0
| Maps buffer into system memory. More...
virtual void | unlock ()=0
| Unmaps element buffer. More...
virtual void | upload_data (GraphicContext &gc, const Rect &dest_rect, const void *data)=0
| Uploads data to buffer. More...

## Detailed Description

Element Array Buffer provider.

The documentation for this class was generated from the following file:

- pixel_buffer_provider.h